<?php

use yii\db\Migration;

/**
 * Class m240803_012148_agregando_nivel_a_condicionante
 */
class m240803_012148_agregando_nivel_a_condicionante extends Migration {
    /**
     * {@inheritdoc}
     */
    public function safeUp() {
        $this->addColumn('Condicionante', 'idNivel', $this->string(36));

        $this->addForeignKey(
            'fk_Condicionante_Nivel',
            'Condicionante',
            'idNivel',
            'Nivel',
            'id',
        );
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown() {
        $this->dropForeignKey('fk_Condicionante_Nivel', 'Condicionante');
        $this->dropColumn('Condicionante', 'idNivel');
    }
}
